 SUBROUTINE lpm_write_exchange_statistics

!------------------------------------------------------------------------------!
! Current revisions:
! ------------------
! 
!
! Former revisions:
! -----------------
! $Id: lpm_write_exchange_statistics.f90 850 2012-03-15 12:09:25Z raasch $
!
! 849 2012-03-15 10:35:09Z raasch
! initial revision (former part of advec_particles)
!
!
! Description:
! ------------
! Write particle statistics (total particle numbers and number of particles
! exchanged between subdomains) on ASCII file.
!
! ATTENTION: output format of this file could be further improved! At current
!            stage it is only a test output.
!------------------------------------------------------------------------------!

    USE control_parameters
    USE particle_attributes
    USE pegrid

    IMPLICIT NONE


    CALL check_open( 80 )
#if defined( __parallel )
    WRITE ( 80, 8000 )  current_timestep_number+1, simulated_time+dt_3d, &
                        number_of_particles, pleft, trlp_count_sum,      &
                        trlp_count_recv_sum, pright, trrp_count_sum,     &
                        trrp_count_recv_sum, psouth, trsp_count_sum,     &
                        trsp_count_recv_sum, pnorth, trnp_count_sum,     &
                        trnp_count_recv_sum, maximum_number_of_particles
    CALL close_file( 80 )
#else
    WRITE ( 80, 8000 )  current_timestep_number+1, simulated_time+dt_3d, &
                        number_of_particles, maximum_number_of_particles
#endif

!
!-- Formats
8000 FORMAT (I6,1X,F7.2,4X,I6,5X,4(I3,1X,I4,'/',I4,2X),6X,I6)


 END SUBROUTINE lpm_write_exchange_statistics
